VoidTrack Docs
API Reference

Comments

GET
/issues/{identifier}/comments
AuthorizationBearer <token>

Workspace scoped API key, printed once by pnpm seed or POST /api-keys.

In: header

Path Parameters

identifier*string

Issue identifier, e.g. VOID-12

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/issues/string/comments"
{  "comments": [    {      "id": "string",      "body": "string",      "author": {        "id": "string",        "name": "string",        "email": "user@example.com"      },      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "edited": true    }  ]}
POST
/issues/{identifier}/comments
AuthorizationBearer <token>

Workspace scoped API key, printed once by pnpm seed or POST /api-keys.

In: header

Path Parameters

identifier*string

Issue identifier, e.g. VOID-12

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/issues/string/comments" \  -H "Content-Type: application/json" \  -d '{    "body": "string"  }'
{  "comment": {    "id": "string",    "body": "string",    "author": {      "id": "string",      "name": "string",      "email": "user@example.com"    },    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "edited": true  }}
PATCH
/issues/{identifier}/comments/{commentId}
AuthorizationBearer <token>

Workspace scoped API key, printed once by pnpm seed or POST /api-keys.

In: header

Path Parameters

identifier*string

Issue identifier, e.g. VOID-12

commentId*string

Comment id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/issues/string/comments/string" \  -H "Content-Type: application/json" \  -d '{    "body": "string"  }'
{  "comment": {    "id": "string",    "body": "string",    "author": {      "id": "string",      "name": "string",      "email": "user@example.com"    },    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "edited": true  }}
DELETE
/issues/{identifier}/comments/{commentId}
AuthorizationBearer <token>

Workspace scoped API key, printed once by pnpm seed or POST /api-keys.

In: header

Path Parameters

identifier*string

Issue identifier, e.g. VOID-12

commentId*string

Comment id

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/issues/string/comments/string"
{  "ok": true}